/*
 *	errmes.h
 *		Copyright (C)2001-2003 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#if !defined(ERRMES_H)
#define ERRMES_H

#include <errno.h>
#include <assert.h>

#define STR_FATAL_ERROR_IN_MALLOC	"Fatal error in malloc()"
#define STR_FATAL_ERROR_IN_FREAD	"Fatal error in fread():"
#define STR_FATAL_ERROR_IN_FSEEK	"Fatal error in fseek():"
#define STR_FATAL_ERROR_IN_FTELL	"Fatal error in ftell():"

void err_setprogname(const char *ptr_progname);
const char *err_getprogname(void);
void err_exit(int status);
void err_printf(const char *format, ...);
void wrn_printf(const char *format, ...);

#endif /* ERRMES_H */
