/*
 *	ff4character.h
 *		Copyright (C)2000-2002 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#if !defined(FF4CHARACTER_H)
#define FF4CHARACTER_H

#define NUM_CHRLV	99

typedef struct chrdata_tag
{
	int chr_id;						/* LN^ID */
	int chr_no;						/* LN^̔ԍ */
	int initial_level;				/* x */
	long initial_experience_point;	/* ol */
	int critical_effect_power;		/* NeBJqbǧʒl */
	int critical_hit_rate;			/* NeBJqbg */
	int flag_right_hand;			/* E肪 */
	int flag_left_hand;				/* 肪 */

	struct
	{
		int increase_strength;		/* ͏㏸ */
		int increase_speed;			/* f㏸ */
		int increase_stamina;		/* ̗͏㏸ */
		int increase_wisdom;		/* m㏸ */
		int increase_will_power;	/* _㏸ */
	} grow_pattern[8];

	struct
	{
		int hit_point_min;			/* qbg|Cg */
		int hit_point_max;			/* qbg|Cg */
		int magic_point_min;		/* }WbN|Cg */
		int magic_point_max;		/* }WbN|Cg */
		int increase_hit_point;		/* {qbg|Cg */
		int increase_magic_point;	/* {}WbN|Cg */
		long experience_point;		/* ol */
		int strength;				/*  */
		int speed;					/* f */
		int stamina;				/* ̗ */
		int wisdom;					/* m */
		int will_power;				/* _ */
	} level[NUM_CHRLV];
} chrdata_t;

const char *chr_getname(int index);
const char *chr_getjobname(int index);
const char *chr_getname_id(int index);
const char *chr_getjobname_id(int index);
const char *chr_getname_no(int index);
const char *chr_getjobname_no(int index);
chrdata_t *chr_readdata(void);
int chr_writeparam(const char *ptr_filename, const chrdata_t *ptr_chrdata);
int chr_writelvup(const char *ptr_filename, const chrdata_t *ptr_chrdata);

#endif /* FF4CHARACTER_H */
