/*
 *	ff5magic.h
 *		Copyright (C)2000-2002 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#if !defined(FF5MAGIC_H)
#define FF5MAGIC_H

#include "ff5define.h"

typedef struct magdata_tag
{
	int magic_point;			/* }WbN|Cg */
	int effect_type;			/* @̌ʃ^Cv */
	int effect_power;			/* ʒl */
	int effect_rate;			/* ʔ䗦 */
	int hit_rate;				/*  */
	int effect_time;			/* ʎ */
	int effect_level;			/* ʑΏۂƂȂG̃x */
	int fixed_value;			/* Œl */
	elem_t elem_effect;			/*  */
	state_t state_effect;		/* ԕω */
	montype_t montype_effect;	/* LX^[^Cv */
	int flag_roulette;			/* ʑΏۂ[bgŌ܂ */
	int flag_reflect;			/* tNŔˉ\ */
	int flag_ratio;				/* 䗦_[W */
	int flag_throw;				/*  */
	int flag_drink;				/* ߂ */
	int flag_mix;				/* ł */
	int direction;				/* (0: , 1: G) */
	int range;					/* ʔ͈(0: P, 1: S) */
	int change_direction;		/* ̕ω(0: Œ, 1: ) */
	int change_range;			/* ʔ͈͂̕ω(0: Œ, 1: ) */
} magdata_t;

const char *mag_getname(int index);
magdata_t *mag_readdata(void);
int mag_setparam(magdata_t *ptr_magdata, unsigned char *ptr_buf, size_t bufsize);
int mag_writeparam(const char *ptr_filename, const magdata_t *ptr_magdata);
int mag_writeelem(const char *ptr_filename, const magdata_t *ptr_magdata);
int mag_writestate(const char *ptr_filename, const magdata_t *ptr_magdata);
int mag_writeflag(const char *ptr_filename, const magdata_t *ptr_magdata);

#endif /* FF5MAGIC_H */
