/*
 *	ff6character.h
 *		Copyright (C)2000-2002 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#if !defined(FF6CHARACTER_H)
#define FF6CHARACTER_H

#define NUM_CHRLV	99

typedef struct chrdata_tag
{
	int strength;				/*  */
	int speed;					/* f */
	int stamina;				/* ̗ */
	int magic_power;			/*  */
	int attack_power;			/* U */
	int defense_power;			/* h */
	int evade_rate;				/*  */
	int magic_defense_power;	/* @h */
	int magic_evade_rate;		/* @ */
	int level_cng;				/* xCl */
	int flag_level;				/* p[eBσxɉe邩 */
	int equipment_no[6];		/* ACe */
	int cmd_no[4];				/* R}h */

	struct
	{
		int hit_point;			/* qbg|Cg */
		int magic_point;		/* }WbN|Cg */
	} level[NUM_CHRLV];
} chrdata_t;

typedef struct chrlvup_tag
{
	long experience_point;	/* ol */
	int hit_point;			/* qbg|Cg */
	int magic_point;		/* }WbN|Cg */
} chrlvup_t;

const char *chr_getname(int index);
const char *chr_getjobname(int index);
const char *chr_getcmdname(int index);
chrdata_t *chr_readdata(void);
chrlvup_t *chr_readlvup(void);
int chr_writeparam(const char *ptr_filename, const chrdata_t *ptr_chrdata);
int chr_writeequip(const char *ptr_filename, const chrdata_t *ptr_chrdata);
int chr_writelvup(const char *ptr_filename, const chrlvup_t *ptr_chrlvup);

#endif /* FF6CHARACTER_H */
