/*
 *	ff6item.h
 *		Copyright (C)2000-2002 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#if !defined(FF6ITEM_H)
#define FF6ITEM_H

#include "ff6define.h"
#include "ff6magic.h"

typedef struct itemdata_tag
{
	long price;						/* i */
	int attack_defense_power;		/* U/h */
	int evade_rate;					/*  */
	int magic_defense_power;		/* @h */
	int magic_evade_rate;			/* @ */
	int increase_strength;			/* ͏㏸ */
	int increase_speed;				/* f㏸ */
	int increase_stamina;			/* ̗͏㏸ */
	int increase_magic_power;		/* ͏㏸ */
	int effect_no;					/*  */
	int learn_magic_no;				/* Cł閂@ */
	int learn_magic_rate;			/* CXs[h */
	elem_t elem_half;				/* U/ */
	elem_t elem_none;				/*  */
	elem_t elem_absorb;				/* z */
	elem_t elem_double;				/* _ */
	state_t state_defense;			/* ԕωւ̑ϐ */
	state_t state_apriori;			/* ŏKpԕω */
	unsigned long bits_equip_chr;	/* \LN^ */
	int flag_throw;					/*  */
	int flag_using_effect;			/* ʂ(gp邱Ƃ) */
	int flag_additional_effect;		/* ʂ(ǉʂƂ) */
	int flag_runic;					/* \ */
	int flag_2handed;				/* 莝\ */
	int flag_backrow;				/* 񂩂łЗ͂ቺȂ */
	int flag_swordtech;				/* KE\ */
	int direction;					/* (0: , 1: G) */
	int range;						/* ʔ͈(0: P, 1: S) */
	int change_direction;			/* ̕ω(0: Œ, 1: ) */
	int change_range;				/* ʔ͈͂̕ω(0: Œ, 1: ) */
	int flag_range_all;				/* ʔ͈́EΏۂuGŚvŒ */
	int col_item_no;				/* RVAŃACeۂɓłACe */
	int col_monster_no;				/* RVAŃACeۂɐ퓬郂X^[ */
} itemdata_t;

const char *item_getname(int index);
itemdata_t *item_readdata(void);
int item_writeparam(const char *ptr_filename, const itemdata_t *ptr_itemdata);
int item_writeelem(const char *ptr_filename, const itemdata_t *ptr_itemdata);
int item_writestate(const char *ptr_filename, const itemdata_t *ptr_itemdata);
int item_writeflag(const char *ptr_filename, const itemdata_t *ptr_itemdata);
int item_writeeffect(const char *ptr_filename, const itemdata_t *ptr_itemdata);
int item_writecol(const char *ptr_filename, const itemdata_t *ptr_itemdata);

#endif /* FF6ITEM_H */
