/*
 *	ff6magic.h
 *		Copyright (C)2000-2002 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#if !defined(FF6MAGIC_H)
#define FF6MAGIC_H

#include "ff6define.h"

typedef struct magdata_tag
{
	int magic_point;			/* }WbN|Cg */
	int effect_power;			/* ʒl */
	int effect_rate;			/* ʔ䗦 */
	int hit_rate;				/*  */
	int effect_level;			/* ʑΏۂƂȂG̃x */
	elem_t elem_effect;			/*  */
	state_t state_effect;		/* ԕω */
	int flag_runic;				/* ŋz\ */
	int flag_reflect;			/* tNŔˉ\ */
	int flag_cure;				/* _[W񕜂 */
	int flag_absorb;			/* _[Wz */
	int flag_ignore_defense;	/* h/@h͂𖳎 */
	int flag_physical;			/* Uł(0ȂΖ@U) */
	int flag_state_reset;		/* Ԃ */
	int flag_state_reverse;		/* Ԃ𔽓] */
	int flag_ratio;				/* 䗦_[W */
	int flag_level;				/* xn@ */
	int flag_range_all;			/* ʔ͈́EΏۂuGŚvŒ */
	int flag_roulette;			/* ʑΏۂ[bgŌ܂ */
	int direction;				/* (0: , 1: G) */
	int range;					/* ʔ͈(0: P, 1: S) */
	int change_direction;		/* ̕ω(0: Œ, 1: ) */
	int change_range;			/* ʔ͈͂̕ω(0: Œ, 1: ) */
} magdata_t;

const char *mag_getname(int index);
magdata_t *mag_readdata(void);
int mag_writeparam(const char *ptr_filename, const magdata_t *ptr_magdata);
int mag_writeelem(const char *ptr_filename, const magdata_t *ptr_magdata);
int mag_writestate(const char *ptr_filename, const magdata_t *ptr_magdata);
int mag_writeflag(const char *ptr_filename, const magdata_t *ptr_magdata);

#endif /* FF6MAGIC_H */
